Doomsday Engine - Bug #963

"spawnmobj" baddies auto wake up in area the player has shot
2011-06-13 20:18 - vermil

Status: New Start date: 2011-06-13
Priority: Normal % Done: 0%
Assignee:

Category: Defect

Target version: Modding

Description

Bad guys spawned by the spawnmobj console command automatically wake up and seek the player if they are spawned in a
sector/area of the map that the player has fired a gunshot in.

Apparently, this has to do with the fact that there is a "shot has been fired in this sector" state but it's non-obvious because vanilla
doom doesn't clear the sound traversal thread.

Personally, I'd like to see this behaviour kept and an optional addition to the command be added to correct it (i.e. that that the
spawnmobj command be able to spawn bad guys that are deaf, non deaf or wake up on spawn and target the caller of the console
command (or activatator if the command is called via XG or Infine). To link back to the this old RFE:
https://sourceforge.net/tracker/index.php?func=detail&aid=2231156&group_id=74815&atid=542102

Labels: Console

Related issues:
Related to Feature #1475: Spawnmobj "deaf" things New 2008-11-06

History

#1 - 2013-10-22 19:49 - skyjake
- Tags set to Scripting, PlaySim

- Subject changed from spawnmobj baddies auto wake up in area the player has shot to "spawnmobj" baddies auto wake up in area the player has
shot

- Category set to Enhancement

- Target version deleted (1.8.6)

#2 - 2015-05-05 02:01 - danij
- Category changed from Enhancement to Defect

- Priority changed from Low to Normal

#3 - 2017-04-03 15:01 - skyjake

- Target version set to Modding
